Debian Bug report logs - #643632
-D_FORTIFY_SOURCE should be in CPPFLAGS

version graph

Package: libdpkg-perl; Maintainer for libdpkg-perl is Dpkg Developers <debian-dpkg@lists.debian.org>; Source for libdpkg-perl is src:dpkg.

Reported by: Peter Eisentraut <petere@debian.org>

Date: Wed, 28 Sep 2011 08:54:05 UTC

Severity: normal

Found in version 1.16.1

Fixed in version dpkg/1.16.1.1

Done: Guillem Jover <guillem@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <debian-dpkg@lists.debian.org>:
Bug#643632; Package libdpkg-perl. (Wed, 28 Sep 2011 08:54:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Peter Eisentraut <petere@debian.org>:
New Bug report received and forwarded. Copy sent to Dpkg Developers <debian-dpkg@lists.debian.org>. (Wed, 28 Sep 2011 08:54:09 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Peter Eisentraut <petere@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: -D_FORTIFY_SOURCE should be in CPPFLAGS
Date: Wed, 28 Sep 2011 11:51:30 +0300
Package: libdpkg-perl
Version: 1.16.1
Severity: normal

The hardening option -D_FORTIFY_SOURCE=* should be added to CPPFLAGS
instead of CFLAGS, since it's a preprocessor option.  It probably
won't make much of a difference for most packages, but it might for
some, and it should be done correctly.  I know I routinely preprocess
files for debugging, so I'd welcome this.




Added tag(s) pending. Request was from Guillem Jover <guillem@debian.org> to control@bugs.debian.org. (Sun, 02 Oct 2011 07:12:05 GMT) Full text and rfc822 format available.

Message sent on to Peter Eisentraut <petere@debian.org>:
Bug#643632. (Sun, 02 Oct 2011 07:12:10 GMT) Full text and rfc822 format available.

Message #10 received at 643632-submitter@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: 643632-submitter@bugs.debian.org
Subject: Bug#643632 marked as pending
Date: Sun, 02 Oct 2011 07:09:38 +0000
tag 643632 pending
thanks

Hello,

Bug #643632 reported by you has been fixed in the Git repository. You can
see the changelog below, and you can check the diff of the fix at:

    http://git.debian.org/?p=dpkg/dpkg.git;a=commitdiff;h=feac1f9

---
commit feac1f983ce3fb45266283ba07483e029095b022
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Oct 2 09:06:53 2011 +0200

    dpkg-buildflags: Set preprocessor option -D_FORTIFY_SOURCE=2 in CPPFLAGS
    
    Instead of setting it in the CFLAGS and CXXFLAGS variables.
    
    Closes: #642521, #643632

diff --git a/debian/changelog b/debian/changelog
index 13fadd8..7ef29f9 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,5 +1,6 @@
 dpkg (1.16.1.1) UNRELEASED; urgency=low
 
+  [ Raphaël Hertzog ]
   * Fix dpkg-source to not ignore the automatic patch when checking
     for unrecorded changes.
   * Let dpkg-source --commit create debian/patches when required.
@@ -7,6 +8,10 @@ dpkg (1.16.1.1) UNRELEASED; urgency=low
   * Update dpkg-buildflags(1) to not include quotes in the examples
     setting DEB_BUILD_MAINT_OPTIONS.
 
+  [ Guillem Jover ]
+  * Change dpkg-buildflags to set preprocessor option -D_FORTIFY_SOURCE=2
+    in CPPFLAGS, instead of CFLAGS and CXXFLAGS. Closes: #642521, #643632
+
  -- Raphaël Hertzog <hertzog@debian.org>  Tue, 27 Sep 2011 08:15:51 +0200
 
 dpkg (1.16.1) unstable; urgency=low




Reply sent to Guillem Jover <guillem@debian.org>:
You have taken responsibility. (Fri, 14 Oct 2011 05:51:17 GMT) Full text and rfc822 format available.

Notification sent to Peter Eisentraut <petere@debian.org>:
Bug acknowledged by developer. (Fri, 14 Oct 2011 05:51:17 GMT) Full text and rfc822 format available.

Message #15 received at 643632-close@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: 643632-close@bugs.debian.org
Subject: Bug#643632: fixed in dpkg 1.16.1.1
Date: Fri, 14 Oct 2011 05:47:19 +0000
Source: dpkg
Source-Version: 1.16.1.1

We believe that the bug you reported is fixed in the latest version of
dpkg, which is due to be installed in the Debian FTP archive:

dpkg-dev_1.16.1.1_all.deb
  to main/d/dpkg/dpkg-dev_1.16.1.1_all.deb
dpkg_1.16.1.1.dsc
  to main/d/dpkg/dpkg_1.16.1.1.dsc
dpkg_1.16.1.1.tar.bz2
  to main/d/dpkg/dpkg_1.16.1.1.tar.bz2
dpkg_1.16.1.1_amd64.deb
  to main/d/dpkg/dpkg_1.16.1.1_amd64.deb
dselect_1.16.1.1_amd64.deb
  to main/d/dpkg/dselect_1.16.1.1_amd64.deb
libdpkg-dev_1.16.1.1_amd64.deb
  to main/d/dpkg/libdpkg-dev_1.16.1.1_amd64.deb
libdpkg-perl_1.16.1.1_all.deb
  to main/d/dpkg/libdpkg-perl_1.16.1.1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 643632@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Guillem Jover <guillem@debian.org> (supplier of updated dpkg package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 14 Oct 2011 07:08:31 +0200
Source: dpkg
Binary: libdpkg-dev dpkg dpkg-dev libdpkg-perl dselect
Architecture: source amd64 all
Version: 1.16.1.1
Distribution: unstable
Urgency: low
Maintainer: Dpkg Developers <debian-dpkg@lists.debian.org>
Changed-By: Guillem Jover <guillem@debian.org>
Description: 
 dpkg       - Debian package management system
 dpkg-dev   - Debian package development tools
 dselect    - Debian package management front-end
 libdpkg-dev - Debian package management static library
 libdpkg-perl - Dpkg perl modules
Closes: 642521 642656 643037 643148 643632 644412 644492
Changes: 
 dpkg (1.16.1.1) unstable; urgency=low
 .
   [ Raphaël Hertzog ]
   * Fix dpkg-source to not ignore the automatic patch when checking
     for unrecorded changes. Closes: #643148
   * Let dpkg-source --commit create debian/patches when required.
     Closes: #643037
   * Fix dpkg-buildflags --dump to return 0 as exit code and not 1.
   * Update dpkg-buildflags(1) to not include quotes in the examples
     setting DEB_BUILD_MAINT_OPTIONS.
   * Stop outputting build flags in dpkg-buildpackage as it confuses
     maintainers who are overriding them in debian/rules and who
     are not seeing the expected value in the build log.
   * Fix trigger setup code to not reset the status of packages
     when they are in a status different from triggers-awaited,
     triggers-pending or installed. Closes: #644492
   * Fix dpkg-source to ignore changes on debian/patches/.dpkg-source-applied
     when building a "2.0" source package. Closes: #642656
   * Fix buildflags.mk to re-export the environment variables that
     the maintainer can use to change the build flags. Closes: #644412
 .
   [ Guillem Jover ]
   * Change dpkg-buildflags to set preprocessor option -D_FORTIFY_SOURCE=2
     in CPPFLAGS, instead of CFLAGS and CXXFLAGS. Closes: #642521, #643632
   * Fix typo to correctly set DEB_*_ARCH_BITS instead of DEB_*_ARCH in
     architecture.mk. Thanks to Thorsten Glaser <tg@mirbsd.org>.
   * Make dpkg-buildflags disable full relro (bindnow) if relro is not enabled.
Checksums-Sha1: 
 84d661ab56634263bf86d2c6bc01f40194ff7942 1372 dpkg_1.16.1.1.dsc
 578c312accfaabf240f1cb8f6e13cfdabd8d8027 5432275 dpkg_1.16.1.1.tar.bz2
 f64f11f95012a185f6c3657c5c956f818bff110f 555334 libdpkg-dev_1.16.1.1_amd64.deb
 631f6ee4cdb7e8746275ba66dd02851d248a9e2c 2221654 dpkg_1.16.1.1_amd64.deb
 096aa4dee20bab855772723d36ee727149a67120 1009472 dselect_1.16.1.1_amd64.deb
 cd1d60c6fc72e9fad2e5661a4379e8096c986187 927372 dpkg-dev_1.16.1.1_all.deb
 ea256cf7c5ff4428f8f05029ed613f3dcdbcee1b 809766 libdpkg-perl_1.16.1.1_all.deb
Checksums-Sha256: 
 a265a786974128b5c9d9a59e9b0b8e080601217e320ea21f06a79376f80463f3 1372 dpkg_1.16.1.1.dsc
 7bd9861ddfa7408ca790ca0d8fa8a3b585afcb900fdee5b658d42f9fca09202d 5432275 dpkg_1.16.1.1.tar.bz2
 914a67584614415a99f5f1f2e9544af183a64b7660768e401ea36e6d833738a1 555334 libdpkg-dev_1.16.1.1_amd64.deb
 3dfe73a733a58a0718b0adcd1decc20c798a7f66a282714f1fd31d0095dbd65b 2221654 dpkg_1.16.1.1_amd64.deb
 e7459e18c8643e6cc3a2939e9b42656c83888507c8feab56c1b1cc8c8b3f5ac7 1009472 dselect_1.16.1.1_amd64.deb
 08f86079607e20285c2e49760150b09d83135dc03cecf0579f06ac0c8e338b8c 927372 dpkg-dev_1.16.1.1_all.deb
 747685b3b639cf1e4bcb86c1abd401fa8d53b89fa2d5186c432618ffa8af23bb 809766 libdpkg-perl_1.16.1.1_all.deb
Files: 
 61e4c4decca0d3fcf5273a511691faea 1372 admin required dpkg_1.16.1.1.dsc
 73fb4d67dbc9f9f14a776187429ce3f1 5432275 admin required dpkg_1.16.1.1.tar.bz2
 fe5f482b2d8f0c29166e64de8e7a057e 555334 libdevel optional libdpkg-dev_1.16.1.1_amd64.deb
 e8e587d015e07ee9e021dde794118178 2221654 admin required dpkg_1.16.1.1_amd64.deb
 ba40b0adceac93490b597deb7824ffbc 1009472 admin optional dselect_1.16.1.1_amd64.deb
 c03b149e046793a6adf4a5ad85fab218 927372 utils optional dpkg-dev_1.16.1.1_all.deb
 30f6b48d95cdeba197302daee1ec99b3 809766 perl optional libdpkg-perl_1.16.1.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk6XxdMACgkQuW9ciZ2SjJvdRwCbBBL7amUJAKoRAMSzur5JAlQ7
E8cAnjB+hj7Xzr7Jm7i1b0pX3cWUWxkV
=zyVA
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 19 Nov 2011 07:33:25 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 00:27:35 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.